Subject: bug#7278: closed (Re: bug#7278: 24.0.50; gail tooltip warning)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Oct 2010 06:08:02 +0000

Your bug report

#7278: 24.0.50; gail tooltip warning

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7278: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7278
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7278: 24.0.50; gail tooltip warning
From: Jan Djärv <[email-masked]>
To: Daiki Ueno <[email-masked]>
Cc: [email-masked]
Date: Tue, 26 Oct 2010 08:11:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Daiki Ueno skrev 2010-10-25 11.26:
> If I start emacs with GTK+ accessibility support enabled, I get the
> following warnings:
>
>   ** Message: ATK_ROLE_TOOLTIP object found, but doesn't look like a tooltip.
>   ** Message: ATK_ROLE_TOOLTIP object found, but doesn't look like a tooltip.
>   ** Message: ATK_ROLE_TOOLTIP object found, but doesn't look like a tooltip.
>
> To reproduce, set GTK_MODULES=gail:atk-bridge, start emacs from a
> terminal, make sure x-gtk-use-system-tooltips is t, place the mouse
> pointer on a toolbar button, and wait a second.
>
> After quick search I found a similar issue in Pidgin (solved):
> http://developer.pidgin.im/ticket/2723
> I'm attaching a patch based on this.

I have set title to "" in another place.  Seems like a bug that ATK cares 
about the title, it can actually be useful to have titles on tooltips for 
debugging.

	Jan D.

Subject: 24.0.50; gail tooltip warning
From: Daiki Ueno <[email-masked]>
To: [email-masked]
Date: Mon, 25 Oct 2010 18:26:42 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

If I start emacs with GTK+ accessibility support enabled, I get the
following warnings:

 ** Message: ATK_ROLE_TOOLTIP object found, but doesn't look like a tooltip.
 ** Message: ATK_ROLE_TOOLTIP object found, but doesn't look like a tooltip.
 ** Message: ATK_ROLE_TOOLTIP object found, but doesn't look like a tooltip.

To reproduce, set GTK_MODULES=gail:atk-bridge, start emacs from a
terminal, make sure x-gtk-use-system-tooltips is t, place the mouse
pointer on a toolbar button, and wait a second.

After quick search I found a similar issue in Pidgin (solved):
http://developer.pidgin.im/ticket/2723
I'm attaching a patch based on this.

=== modified file 'src/gtkutil.c'
--- src/gtkutil.c	2010-10-01 13:56:33 +0000
+++ src/gtkutil.c	2010-10-25 09:11:18 +0000
@@ -670,6 +670,7 @@
   if (x->ttip_window)
     {
       BLOCK_INPUT;
+      gtk_window_set_title (x->ttip_window, "");
       gtk_window_move (x->ttip_window, root_x, root_y);
       gtk_widget_show_all (GTK_WIDGET (x->ttip_window));
       UNBLOCK_INPUT;

In GNU Emacs 24.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.22.0)
 of 2010-10-25 on localhost.localdomain
Windowing system distributor `Fedora Project', version 11.0.10900000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  gnus-undo-mode: t
  which-function-mode: t
  recentf-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <escape> x r e p o C-a C-g <escape> x g 
n u s SPC n o SPC SPC <return> y L m C-x k <return> 
<escape> x r e p o r t SPC e m <tab> <return>

Recent messages:
Loading /home/ueno/.emacs.d/init.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
Saving file /home/ueno/.newsrc-dribble...
Wrote /home/ueno/.newsrc-dribble [2 times]
Gnus auto-save file exists.  Do you want to read it? (y or n)  y
Reading /home/ueno/.newsrc.eld...
Checking new news...
Reading active file via nndraft...done
Checking new news...done

Load-path shadows:
~/.emacs.d/custom hides /usr/local/share/emacs/24.0.50/lisp/custom
~/.emacs.d/socks hides /usr/local/share/emacs/24.0.50/lisp/net/socks
/usr/local/share/emacs/24.0.50/site-lisp/skk/leim-list hides /usr/local/share/emacs/24.0.50/leim/leim-list

Features:
(shadow sort mail-extr emacsbug gnus-cite gnus-topic nndraft nnmh
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art
mm-uu mml2015 epg-config mm-view smime password-cache dig mailcap nntp
gnus-cache nnir gnus-sum gnus-group time-date gnus-undo nnmail
mail-source format-spec nnoo gnus-start gnus-spec gnus-int gnus-range
message sendmail rfc822 mml mml-sec mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils
mailheader gnus-win gnus gnus-ems nnheader gnus-util mail-utils mm-util
mail-prsvr ccc finder-inf package uniquify deal which-func imenu recentf
tree-widget wid-edit easymenu iswitchb cus-start cus-load regexp-opt
advice help-fns advice-preload skk-setup skk-autoloads tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev loaddefs button minibuffer faces cus-face files
text-properties overlay md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)